JspTagImpl (Grails 2.3.8)
Date: 2014-04-24

Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | PROPERTY | CONSTR | METHOD | DETAIL: FIELD | PROPERTY | CONSTR | METHOD

## org.codehaus.groovy.grails.web.pages.ext.jsp
[Groovy] Class JspTagImpl

    java.lang.Object
      org.codehaus.groovy.grails.web.pages.ext.jsp.JspTagImpl

All Implemented Interfaces:
  JspTag

    class JspTagImpl
    extends java.lang.Object

Authors:
  Graeme Rocher

Since:
  1.0

Property Summary
`static java.lang.Object` | `LOG`
`boolean` | `body`
`boolean` | `iteration`
`java.lang.Class` | `tagClass`
`boolean` | `tryCatchFinally`

Constructor Summary
`JspTagImpl(java.lang.Class tagClass)`

Method Summary
`void` | `doTag(java.io.Writer targetWriter, java.util.Map attributes)`
`void` | `doTag(java.io.Writer targetWriter, java.util.Map attributes, groovy.lang.Closure body)`
`protected java.lang.Object` | `handleSimpleTag(javax.servlet.jsp.tagext.SimpleTag tag, java.util.Map attributes, GroovyPagesPageContext pageContext, java.io.Writer targetWriter, groovy.lang.Closure body)`
`boolean` | `isBodyTag()`
`boolean` | `isIterationTag()`
`boolean` | `isTryCatchFinallyTag()`
`void` | `withJspWriterDelegate(GroovyPagesPageContext pageContext, java.io.Writer delegate, groovy.lang.Closure callable)`

Methods inherited from class java.lang.Object
java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Property Detail

### LOG

    static final java.lang.Object LOG

### body

    boolean body

### iteration

    boolean iteration

### tagClass

    java.lang.Class tagClass

### tryCatchFinally

    boolean tryCatchFinally

Constructor Detail

### JspTagImpl

    JspTagImpl(java.lang.Class tagClass)

Method Detail

### doTag

    void doTag(java.io.Writer targetWriter, java.util.Map attributes)

### doTag

    void doTag(java.io.Writer targetWriter, java.util.Map attributes, groovy.lang.Closure body)

### handleSimpleTag

    protected java.lang.Object handleSimpleTag(javax.servlet.jsp.tagext.SimpleTag tag, java.util.Map attributes, GroovyPagesPageContext pageContext, java.io.Writer targetWriter, groovy.lang.Closure body)

### isBodyTag

    boolean isBodyTag()

### isIterationTag

    boolean isIterationTag()

### isTryCatchFinallyTag

    boolean isTryCatchFinallyTag()

### withJspWriterDelegate

    void withJspWriterDelegate(GroovyPagesPageContext pageContext, java.io.Writer delegate, groovy.lang.Closure callable)

Groovy Documentation